Subject: Meeting Follow Up
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Fri, 4 May 2001 23:09:00 -0700 (PDT)

Louise:

I enjoyed our meeting this week on Q1 QBR. If you have any follow up questions, please let me know.

Brett contacted me today by e-mail with some cost detail on the Ft. Pierce unit. I plan to get back to him on Monday, but wanted to know if you have reached a decision on how you would like us to proceed with the MHI turbine book. I did have several follow up conversations with Chris Calger on the topic, and he and I are both on board to proceed based on the approach we discussed in our meeting.

Hope all else is well.

Regards,

Ben